### Method

# FwupdPlugin Efivars get_boot_entry

#### Declaration [src]

    FuEfiLoadOption*
    fu_efivars_get_boot_entry (
      FuEfivars* self,
      guint16 idx,
      GError** error
    )

#### Description [src]

Gets the loadopt data of the `BootXXXX` variable.

Available since: | 2.0.0

#### Parameters

`idx` | `guint16`
| Boot index, typically 0x0001
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuEfiLoadOption`
| A `FuEfiLoadOption`, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.